package Common.Visual.Menus;
import Common.MainModule_;
import Common.Passes.PassCode_;
import Common.Utils.Utils_;
import Common.Visual.Fonts.VisualiserFonts;

import javax.swing.*;
import java.awt.*;
public class VisualiserMenu extends JMenu {
    public VisualiserMenu(String text, String iconPath, boolean textVisible) {
        setMinimumSize(new Dimension(38, 30)); //иначе сужаются вертикально.
        setToolTipText(text);
        if (textVisible)
            setText(text);
        setFont(MainModule_.instance.getUI().getTheme().Fonts.get(VisualiserFonts.TreeItalic));
        if (!iconPath.isEmpty())
            setIcon(Utils_.getIcon(iconPath));
    }
    public VisualiserMenu(String text, String iconPath) {
        this(text, iconPath, false);
    }
    public void addPasses(PassCode_... codes) {
        for (PassCode_ code : codes)
            add(MainModule_.instance.getPass(code).createMenuItem());
    }
}
